Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/gosu: upgrade to 1.9

From: David Huffman <storedbox_at_outlook.com>
Date: Thu, 19 May 2016 01:39:20 -0400

---
 testing/gosu/APKBUILD | 39 ++++++++++++++++++++++++++-------------
 1 file changed, 26 insertions(+), 13 deletions(-)
diff --git a/testing/gosu/APKBUILD b/testing/gosu/APKBUILD
index 0b347c9..b0f69d1 100644
--- a/testing/gosu/APKBUILD
+++ b/testing/gosu/APKBUILD
_at_@ -1,7 +1,16 @@
 # Contributor: David Huffman <storedbox_at_outlook.com>
 # Maintainer: David Huffman <storedbox_at_outlook.com>
+
+_gosu_repo='github.com/tianon/gosu'
+_gosu_ver=1.9
+_gosu_src="gosu-$_gosu_ver"
+
+_runc_repo='github.com/opencontainers/runc'
+_runc_ver=0.1.0
+_runc_src="runc-$_runc_ver"
+
 pkgname=gosu
-pkgver=1.7
+pkgver=$_gosu_ver
 pkgrel=0
 pkgdesc="Simple Go-based setuid+setgid+setgroups+exec"
 url="https://github.com/tianon/gosu"
_at_@ -9,17 +18,19 @@ arch="all"
 license="GPL3"
 depends=""
 depends_dev=""
-makedepends="$depends_dev go"
+makedepends="$depends_dev coreutils go"
 install=""
 subpackages=""
-source="https://github.com/tianon/gosu/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+source="https://github.com/tianon/gosu/archive/$_gosu_ver/$_gosu_src.tar.gz
+        https://github.com/opencontainers/runc/archive/v$_runc_ver/$_runc_src.tar.gz"
 
-_builddir="$srcdir/github.com/tianon/$pkgname"
+_builddir="$srcdir"/$_gosu_repo
 prepare() {
-	mkdir -p "$_builddir"
-	find "$srcdir" -name '*.go' -type f -exec mv {} "$_builddir" \+
+	mkdir -p $_gosu_repo $_runc_repo
+	mv -T $_gosu_src $_gosu_repo || return 1
+	mv -T $_runc_src $_runc_repo || return 1
+
 	local i
-	cd "$_builddir"
 	for i in $source; do
 		case $i in
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
_at_@ -29,9 +40,8 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	export GOPATH="$startdir"
-	go get || return 1
-	go build -v || return 1
+	CGO_ENABLED=0 GOPATH="$startdir:$srcdir/$_runc_repo/Godeps/_workspace" \
+		go build -v -ldflags '-d -s -w' || return 1
 }
 
 package() {
_at_@ -41,6 +51,9 @@ package() {
 	cp gosu "$bindir" || return 1
 }
 
-md5sums="84aa02fc06fcbb81834a7466bf2778e1  gosu-1.7.tar.gz"
-sha256sums="a010c7e34de69bfc2aa4b104a73c63d09e51caa6a5c8d75e836be6c692e9aae1  gosu-1.7.tar.gz"
-sha512sums="745afb75735321f2e239fe93fc947f969bda76dd9869cbf25850e7d7f4f271e5e00afceaead7da11063302e5af2b143ca42282b1a5907de99da3e90cf7197ed6  gosu-1.7.tar.gz"
+md5sums="9c0dfb590c317cde7592652764f2c341  gosu-1.9.tar.gz
+73971b4020a39445f071c3b3d5361a30  runc-0.1.0.tar.gz"
+sha256sums="12770f2127ec436a6e368750258631d1eda3f5fe647059f2219fbd27d5d6d838  gosu-1.9.tar.gz
+681d6d89541ae2e06757f999a242a1f97bbcb1ad6e10f4cdee287ec4a9d2bff9  runc-0.1.0.tar.gz"
+sha512sums="f4bc1fa812f7588b657fbab3394407133a42422e54500c9e9adb9010f550b45839d7bfa3bbb79241a7c00e67292ba3ff9ffcf5ce7c000d88e6b64ac6f88fb169  gosu-1.9.tar.gz
+8a9ff02b0161eda0a730194b0fbf7ad76e8f379992e74061ef49302da3492fd0c53f06db9153ded4d934d67bbf6f4291d6154254f1b924ef73c97c44cd14ffcf  runc-0.1.0.tar.gz"
-- 
2.8.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu May 19 2016 - 01:39:20 GMT